Re: libfoo2 vs. libfoo
- From: jacob berkman <jacob ximian com>
- To: Havoc Pennington <hp redhat com>
- Cc: Maciej Stachowiak <mjs noisehavoc org>, gnome-2-0 <gnome-2-0-list gnome org>, Owen Taylor <otaylor redhat com>
- Subject: Re: libfoo2 vs. libfoo
- Date: 16 Oct 2001 17:51:28 -0400
On Tue, 2001-10-16 at 17:04, jacob berkman wrote:
> On Mon, 2001-10-15 at 15:26, Havoc Pennington wrote:
> >
> > Maciej Stachowiak <mjs noisehavoc org> writes:
> > > Is there any way to do this without checking in a modified
> > > po/Makefile.in.in?
> >
> > If we don't want to cut-and-paste the po/Makefile.in.in around, we
> > should just have a "glib-gettexttize" that creates that file.
>
> ok - here is a glib-gettextize. it is gettextize with the ChangeLog and
> intl crap removed.
...and here is a dumb patch to gnome2's gnome-common autogen script to
handle this.
jacob
--
Index: autogen.sh
===================================================================
RCS file: /cvs/gnome/gnome-common/macros2/autogen.sh,v
retrieving revision 1.13
diff -u -r1.13 autogen.sh
--- autogen.sh 2001/10/02 19:20:02 1.13
+++ autogen.sh 2001/10/16 21:46:36
@@ -49,17 +49,29 @@
}
}
-grep "^AM_[A-Z0-9_]\{1,\}_GETTEXT" $srcdir/configure.in >/dev/null && {
- grep "sed.*POTFILES" $srcdir/configure.in >/dev/null || \
- (gettext --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`gettext' installed to compile $PKG_NAME."
- echo "Get ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
- }
-}
+if grep "^AM_[A-Z0-9_]\{1,\}_GETTEXT" $srcdir/configure.in >/dev/null; then
+ if grep "sed.*POTFILES" $srcdir/configure.in >/dev/null; then
+ GETTEXTIZE=""
+ else
+ if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
+ GETTEXTIZE="glib-gettextize"
+ GETTEXTIZE_URL="ftp://ftp.gtk.org/pub/gtk/v1.3/glib-1.3.10.tar.gz"
+ else
+ GETTEXTIZE="gettextize"
+ GETTEXTIZE_URL="ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
+ fi
+
+ if ! $GETTEXTIZE --version < /dev/null > /dev/null 2>&1; then
+ echo
+ echo "**Error**: You must have \`$GETTEXTIZE' installed to compile $PKG_NAME."
+ echo "Get $GETTEXTIZE_URL"
+ echo "(or a newer version if it is available)"
+ DIE=1
+ fi
+ fi
+fi
+
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`automake' installed to compile $PKG_NAME."
@@ -106,17 +118,14 @@
( cd $dr
aclocalinclude="$ACLOCAL_FLAGS"
- if grep "^AM_[A-Z0-9_]\+_GETTEXT" configure.in >/dev/null; then
- if grep "sed.*POTFILES" configure.in >/dev/null; then
- : do nothing -- we still have an old unmodified configure.in
- else
- echo "Creating $dr/aclocal.m4 ..."
- test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
- echo "Running gettextize... Ignore non-fatal messages."
- echo "no" | gettextize --force --copy
- echo "Making $dr/aclocal.m4 writable ..."
- test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
- fi
+
+ if test "$GETTEXTIZE"; then
+ echo "Creating $dr/aclocal.m4 ..."
+ test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+ echo "Running $GETTEXTIZE... Ignore non-fatal messages."
+ echo "no" | $GETTEXTIZE --force --copy
+ echo "Making $dr/aclocal.m4 writable ..."
+ test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
fi
if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
echo "Running intltoolize..."
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]